﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _02_prc_sb_caes_sifr
{
    public partial class FormCaesarCrypt : Form
    {
        public FormCaesarCrypt()
        {
            InitializeComponent();
        }

        string soubor;
        string vstup, sifra;
        int posun = 0;
        bool stav = false;
        int cislo;
        int delka;
        private void buttonOpenFile_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                StreamReader souborR = new StreamReader(openFileDialog1.FileName);
                textBoxMessageFile.Text = souborR.ReadToEnd();
                souborR.Close();
                textBoxFilename.Text = "Název souboru:" + openFileDialog1.FileName.ToString();
            }
           
        }

        private void buttonSaveFile_Click(object sender, EventArgs e)
        {
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                StreamWriter souborW = new StreamWriter(saveFileDialog1.FileName);
                souborW.Write(textBoxMessageFile.Text);
                souborW.Close();
                textBoxFilename.Text = "Název souboru:" + openFileDialog1.FileName.ToString();
            }

        }

        private void buttonCloseProgram_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void buttonAboutAuthor_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Caesarova šifra V1.0, Autor David Tomek 13.9.2024 \n https://home.spsostrov.cz/~tomeda/");
        }

        private void buttonCryptPlus_Click(object sender, EventArgs e)
        {

            if (!(int.TryParse(textBoxShift.Text.ToString(), out posun)))
            {
                posun = 5;
                textBoxShift.Text = posun.ToString();

            }
            if ((int.TryParse(textBoxShift.Text.ToString(), out posun)))
            {
                vstup = textBoxMessageFile.Text;
                sifra = null;
                delka = vstup.Length;

                for (int i = 0; i < delka; i++)
                {
                    cislo = (int)vstup[i];
                    cislo += posun;
                    sifra += (char)cislo;
                }
                textBoxMessageFile.Text = sifra;

            }


        }

        private void FormCaesarCrypt_Load(object sender, EventArgs e)
        {

        }

        private void buttonCryptMinus_Click(object sender, EventArgs e)
        {
            
            if (!(int.TryParse(textBoxShift.Text.ToString(), out posun)))
            {
                posun = 5;
                textBoxShift.Text = posun.ToString();

            }
            if ((int.TryParse(textBoxShift.Text.ToString(), out posun)))
            {
                vstup = textBoxMessageFile.Text;
                sifra = null;
                delka = vstup.Length;
                for (int i = 0; i < delka; i++)
                {
                    cislo = (int)vstup[i];
                    cislo -= posun;
                    sifra += (char)cislo;
                    textBoxMessageFile.Text = sifra;
                }


            }
        }


    }
}
